#### FIX

#### Synopsis

    HELP:   Write a fixed length data field
    TYPE:   OBJECT
    SYNTAX: FIX(LENGTH=num,CUTDAT,ADDPAD/REMPAD,PADBYT=num,ALIGN=num)

#### Description

Writes the data of this column as a byte sequence with a fixed length. If no length is specified, then the length of the element is used. If the length parameter is provided, then the element length must match the set length. Otherwise, you have to active the appropriate switches to cut or pad the data to the desired length.

An alignment can be used to pad each cell to the next multiple of the specified byte count, so that the next column starts at a pre-defined offset. The bytes in between are padded with binary zeros unless the padding byte is set to a different value.

#### Arguments

- `NUMBER: LENGTH=num - Fixed length for the data field [0 = length of data is used, no padding, no cutting]`
- `SWITCH: CUTDAT - Cut data if longer than LENGTH [FALSE]`
- `SWITCH: ADDPAD/REMPAD - Pad data to the given length as necessary [FALSE]`
- `NUMBER: PADBYT=num - Padding byte value to use [0x00]`
- `NUMBER: ALIGN=num - Align data to the next multiple of this value in bytes [1 (no alignment)]`